/* ===================================================================
 * CHARTE GRAPHIQUE GENERALE
 * =================================================================*/
html {
    font-size: 62.5%;
}

body {
    font-size: 1.8rem;
    background-color: #fff;
    color: @bleu;
    margin: 0;
    padding: 0;
    font-family: @police_1;
    line-height: 3.2rem;

    &.pseudo {
        padding-top: 48px;
    }

    #document {
        a {
            text-decoration: none;
            color: @lien;

            .paragraphe:not(.tpl) & {
                position: relative;
                font-weight: 700;
                text-decoration: none;
                .tr;

                &::before {
                    content: '';
                    display: inline-block;
                    height: 2px;
                    width: 0;
                    background: @lien;
                    position: absolute;
                    left: 0;
                    bottom: 0;
                    .tr;
                }

                &:hover,
                &:focus,
                &:active {
                    text-decoration: underline;

                    &::before {
                        background: @lien_hover;
                        width: 100%;
                    }
                }
            }
        }

        @import 'custom/body.inc';
        @import 'custom/paragraphe.inc';
    }
}

ol,
ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

p {
    margin: 0 0 2rem;
}

/* ===================================================================
 * FIL D'ARIANE
 * =================================================================*/
#ariane {
    margin: 35px 0;
    font-size: 1.6rem;
    text-align: center;

    li {
        display: inline;

        &::before {
            .fas;
            content: '\f105';
            font-weight: 700;
            color: @texte;
            margin-left: 1rem;
            margin-right: 1rem;
        }

        &:last-child {
            font-weight: 700;
        }

        &:first-child {
            &::before {
                content: none;
            }
        }

        a {
            position: relative;
            color: @lien;
            font-weight: 300;
            padding-bottom: 3px;

            &::before {
                content: '';
                display: block;
                width: 0;
                height: 3px;
                background: @lien;
                position: absolute;
                left: 0;
                bottom: 0;
                border-radius: 30px;
            }

            &:hover,
            &:focus {
                &::before {
                    width: 100%;
                }
            }
        }
    }
}

/* ===================================================================
 * PICTO
 * =================================================================*/

[class*=""], [class^="picto"] {
    display: block;
    margin: 0 0 1rem;
    word-wrap: break-word;

    &::before {
        display: inline-block;
        .fas;
        color: #fff;
        .tr;
    }

    a, a & {
        &::before {
            color: @primaryColor;
        }

        &:hover, &:focus {
            &::before {
                color: fade(@primaryColor, 85%);
            }
        }
    }
}

.lieu_int::before {
    content: '\f3c5';
}

.date_int::before {
    content: '\f274';
}

.telephone_int::before {
    content: '\f098';
}

.pictoTelechargement::before {
    content: '\f56d';
}

.site_int::before {
    content: '\f108';
}

.email_int::before {
    content: '@';
}

.fax_int::before {
    content: '\f1ac';
}

.enveloppe_int::before {
    content: '\f0e0';
}

.important_int::before {
    content: '\f06a';
}

.information_int::before {
    content: '\f05a';
}

.horaires_int::before {
    content: '\f017';
}

&.imprimer::before {
    content: '\f02f';
}

.pictoExterne::before {
    content: '\f360';
}

.pictoDocument::before {
    content: '\f15b';
    .far;
}

.pictoLien::before {
    content: '\f0c1';
}

.pictoPDF::before {
    content: '\f1c1';
    .far;
}

.pictoDocumentImage::before {
    content: '\f1c5';
}


/* ===================================================================
 * RESEAUX SOCIAUX
 * =================================================================*/

a {
    &::before {
        .fab;
        color: @primaryColor;
        font-weight: 400;
        .tr;
    }

    &.facebook::before {
        content: '\f39e';
    }

    &.linkedIn::before {
        content: '\f0e1';
    }

    &.instagram::before {
        content: '\f16d';
    }

    &.twitter::before {
        content: '\f099';
    }

    &.youtube::before {
        content: '\f167';
    }
}

/* ===================================================================
 * MISE EN FORME GENERIQUE
 * =================================================================*/

.btn_(voirPlus, @primaryColor, #fff);

/* ===================================================================
 * LEGENDE DES IMAGES et COMPORTEMENT
 * =================================================================*/

figure.spanImgContainer {
    margin: -2rem 0 0;
    width: 100% !important;

    &.alignleft {
        margin: 0 1% 1rem 0;
    }

    &.alignright {
        margin: 0 0 1rem 1%;
    }

    figcaption {
        display: block !important;
        opacity: 100% !important;
    }

    .spanLegende {
        border: none;
        text-align: right;
        color: @primaryColor;
        font-size: 1.5rem;
        margin-top: 5px;
        padding: 0.5rem 0;
    }
}

.spanImgContainer {
    display: inline-block;
    text-align: center !important;
    line-height: 0;
}

.spanImgOuter {
    display: block;
    position: relative;
}

.spanImgOuter img {
    display: block;
}

.spanCredit {
    background: rgba(255, 255, 255, 0.75) repeat 0 0;
    left: 0;
    bottom: 0;
    font-style: italic;
    font-size: 90%;
    max-width: 75%;
    padding: 0.5rem;
    position: absolute;
    line-height: 1em;
    text-align: left;
}

.imgLoupe {
    position: absolute;
    bottom: 0;
    right: 0;
}

.spanLegende {
    display: block;
    border: 1px solid #dedede;
    padding: 0.5rem;
    line-height: 1em;
}

/* ===================================================================
 * SLICK
 * =================================================================*/


.slick-prev, .slick-next, #autopromoBouton {
    background: #fff;
    font-size: 0;
    padding: 0;
    width: 40px;
    height: 40px;
    margin: 10px;
    border: 1px solid red;
    border-radius: 100%;
    position: relative;
    transition: all 0.3s;
    cursor: pointer;

    &::before {
        .fas;
        color: red;
        width: 40px;
        height: 40px;
        display: block;
        text-align: center;
        line-height: 4rem;
        font-size: 1.4rem;
        .alignement;
    }

    &:hover {
        background: @texte;

        &::before {
            color: #fff;
        }
    }
}


.slick-prev {
    &::before {
        content: '\f053';
    }
}

.slick-next {
    &::before {
        content: '\f054';
    }
}


/* ===================================================================
 * TABLEAU RESPONSIVE
 * =================================================================*/

.tableauContainer {
    @media screen and (max-width: @mobile) {
        overflow-x: scroll;
        position: relative;
        width: 100%;
        margin-bottom: 2rem;
        & > table {
            min-width: @mobile;
            margin-bottom: 1rem !important;
        }
    }
}


/* ===================================================================
 * GOOGLE MAP
 * =================================================================*/

.gmaps {
    width: 100%;
    height: 400px;
}


/* ===================================================================
 * COOKIE CNIL
 * =================================================================*/

#cookie_cnil {
    width: auto;
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    color: #fff;
    z-index: 3;
    padding: 20px;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.75);

    .inner {
        .innerCenter;
        padding-right: 40px;
    }

    p:last-of-type {
        margin: 0;
    }

    a {
        color: #fff;
        text-decoration: underline;

        &:hover {
            text-decoration: none;
        }
    }

    button {
        position: absolute;
        right: 0;
        top: 50%;
        width: 40px;
        height: 40px;
        padding: 10px;
        text-align: center;
        background: none;
        border: none;
        transform: translateY(-50%);
        -webkit-transform: translateY(-50%);

        &:focus, &:active {
            border: 1px dotted #fff;
        }
    }

    img {
        display: block;
    }
}
